<?php

//Hak Cipta dilindungi Undang-undang. Hak Cipta : Khamdi Rahmani, Reg. Kemenkum HAM No : 000121327. Dilarang merubah isi File tanpa ijin tertulis dari pemegang Hak Cipta. 

class page
{
    public function getPid()
    {
        if (isset($_GET['i4'])) {
            $id_page = $_GET['i4'];
        } else {
            $id_page = "";
        };
        return $id_page;
    }
    public function getP()
    {
        if (isset($_GET['p463'])) {
            $p = $_GET['p463'];
        } else {
            $p = "";
        };
        return $p;
    }
    public function directPage($p)
    {
        if ($p == md5("beranda") || empty($p)) {
            $page = "beranda";
        } elseif ($p == md5("seting/lembaga")) {
            $page = "seting/lembaga";
        } elseif ($p == md5("teller")) {
            $page = "teller";
        } elseif ($p == md5("bendahara")) {
            $page = "bendahara";
        } elseif ($p == md5("tabungan")) {
            $page = "tabungan";
        } elseif ($p == md5("report")) {
            $page = "report";
            //User Admin
        } elseif ($p == md5("seting/userAdmin/user_read")) {
            $page = "seting/userAdmin/user_read";
        } elseif ($p == md5("seting/userAdmin/user_create")) {
            $page = "seting/userAdmin/user_create";
        } elseif ($p == md5("seting/userAdmin/user_edit")) {
            $page = "seting/userAdmin/user_edit";
        } elseif ($p == md5("seting/userAdmin/user_profil")) {
            $page = "seting/userAdmin/user_profil";
            //Database 
        } elseif ($p == md5("seting/database/read")) {
            $page = "seting/database/read";
        } elseif ($p == md5("seting/database/create")) {
            $page = "seting/database/create";
        } elseif ($p == md5("seting/database/edit")) {
            $page = "seting/database/edit";
        } elseif ($p == md5("seting/database/migrasi")) {
            $page = "seting/database/migrasi";
            //Database Tabungan
        } elseif ($p == md5("tabungan/database/read")) {
            $page = "tabungan/database/read";
        } elseif ($p == md5("tabungan/database/create")) {
            $page = "tabungan/database/create";
        } elseif ($p == md5("tabungan/database/edit")) {
            $page = "tabungan/database/edit";
        } elseif ($p == md5("tabungan/database/migrasi")) {
            $page = "tabungan/database/migrasi";
            //Paralel
        } elseif ($p == md5("seting/paralel/paralel_read")) {
            $page = "seting/paralel/paralel_read";
        } elseif ($p == md5("seting/paralel/paralel_create")) {
            $page = "seting/paralel/paralel_create";
        } elseif ($p == md5("seting/paralel/paralel_edit")) {
            $page = "seting/paralel/paralel_edit";
            //Wali Kelas
        } elseif ($p == md5("seting/walikelas/read")) {
            $page = "seting/walikelas/read";
        } elseif ($p == md5("seting/walikelas/create")) {
            $page = "seting/walikelas/create";
        } elseif ($p == md5("seting/walikelas/edit")) {
            $page = "seting/walikelas/edit";
        } elseif ($p == md5("seting/walikelas/print_preview")) {
            $page = "seting/walikelas/print_preview";
            //Whatsapp
        } elseif ($p == md5("seting/whatsapp/index")) {
            $page = "seting/whatsapp/index";
        } elseif ($p == md5("seting/email/index")) {
            $page = "seting/email/index";
        } elseif ($p == md5("seting/rekening/index")) {
            $page = "seting/rekening/index";
        } elseif ($p == md5("seting/rekening/create")) {
            $page = "seting/rekening/create";
        } elseif ($p == md5("seting/rekening/edit")) {
            $page = "seting/rekening/edit";
        } elseif ($p == md5("seting/register/index")) {
            $page = "seting/register/index";
            //Payment
        } elseif ($p == md5("seting/payment/index")) {
            $page = "seting/payment/index";

            //Backup Restore
        } elseif ($p == md5("utility/backup/index")) {
            $page = "utility/backup/index";
        } elseif ($p == md5("utility/update/index")) {
            $page = "utility/update/index";
        } elseif ($p == md5("utility/update/uploadupdate")) {
            $page = "utility/update/uploadupdate";
        } elseif ($p == md5("utility/delete/index")) {
            $page = "utility/delete/index";
        } elseif ($p == md5("utility/upload/index")) {
            $page = "utility/upload/index";
        } elseif ($p == md5("utility/log/index")) {
            $page = "utility/log/index";
        } elseif ($p == md5("utility/file/index")) {
            $page = "utility/file/index";
            //jenisPembayaran
        } elseif ($p == md5("seting/jenisPembayaran/jenisPembayaran_read")) {
            $page = "seting/jenisPembayaran/jenisPembayaran_read";
        } elseif ($p == md5("seting/jenisPembayaran/jenisPembayaran_create")) {
            $page = "seting/jenisPembayaran/jenisPembayaran_create";
        } elseif ($p == md5("seting/jenisPembayaran/jenisPembayaran_edit")) {
            $page = "seting/jenisPembayaran/jenisPembayaran_edit";
        } elseif ($p == md5("seting/jenisPembayaran/jenisPembayaran_copytl")) {
            $page = "seting/jenisPembayaran/jenisPembayaran_copytl";
            //Siswa
        } elseif ($p == md5("seting/siswa/siswa_read")) {
            $page = "seting/siswa/siswa_read";
        } elseif ($p == md5("seting/siswa/siswa_create")) {
            $page = "seting/siswa/siswa_create";
        } elseif ($p == md5("seting/siswa/siswa_edit")) {
            $page = "seting/siswa/siswa_edit";
        } elseif ($p == md5("seting/siswa/siswa_import")) {
            $page = "seting/siswa/siswa_import";
            //Kategori Siswa
        } elseif ($p == md5("seting/siswa/kategori/read")) {
            $page = "seting/siswa/kategori/read";
        } elseif ($p == md5("seting/siswa/kategori/add")) {
            $page = "seting/siswa/kategori/add";
        } elseif ($p == md5("view/seting/siswa/kategori/edit")) {
            $page = "view/seting/siswa/kategori/edit";
        } elseif ($p == md5("seting/siswa/kategori/add_exec")) {
            $page = "seting/siswa/kategori/add_exec";
        } elseif ($p == md5("seting/siswa/kategori/edit_exec")) {
            $page = "seting/siswa/kategori/edit_exec";
        } elseif ($p == md5("seting/siswa/kategori/delete_exec")) {
            $page = "seting/siswa/kategori/delete_exec";

            //User Siswa
        } elseif ($p == md5("seting/userSiswa/user_read")) {
            $page = "seting/userSiswa/user_read";
        } elseif ($p == md5("seting/userSiswa/user_create")) {
            $page = "seting/userSiswa/user_create";
        } elseif ($p == md5("seting/userSiswa/user_create_multi")) {
            $page = "seting/userSiswa/user_create_multi";
        } elseif ($p == md5("seting/userSiswa/user_edit")) {
            $page = "seting/userSiswa/user_edit";
        } elseif ($p == md5("tabungan/index")) {
            $page = "tabungan/index";

            //Transaksi
        } elseif ($p == md5("transaksi/transaksi_read")) {
            $page = "transaksi/transaksi_read";
        } elseif ($p == md5("transaksi/kuitansi_read")) {
            $page = "transaksi/kuitansi_read";
        } elseif ($p == md5("transaksi/deleted_transaksi")) {
            $page = "transaksi/deleted_transaksi";
        } elseif ($p == md5("transaksi/siswa_read")) {
            $page = "transaksi/siswa_read";
        } elseif ($p == md5("transaksi/transaksi_create")) {
            $page = "transaksi/transaksi_create";
        } elseif ($p == md5("transaksi/transaksi_edit")) {
            $page = "transaksi/transaksi_edit";
        } elseif ($p == md5("transaksi/transaksi_tool")) {
            $page = "transaksi/transaksi_tool";
        } elseif ($p == md5("transaksi/transaksi_print")) {
            $page = "transaksi/transaksi_print";
        } elseif ($p == md5("transaksi/transaksi_printpreview")) {
            $page = "transaksi/transaksi_printpreview";
        } elseif ($p == md5("transaksi/kuitansi_printpreview")) {
            $page = "transaksi/kuitansi_printpreview";
        } elseif ($p == md5("transaksi/mail_send")) {
            $page = "transaksi/mail_send";
            //Payment
        } elseif ($p == md5("payment/payment_read")) {
            $page = "payment/payment_read";
        } elseif ($p == md5("payment/payment_printpreview")) {
            $page = "payment/payment_printpreview";

            //Laporan
        } elseif ($p == md5("laporan/transaksi/laporan_transaksi")) {
            $page = "laporan/transaksi/laporan_transaksi";
        } elseif ($p == md5("laporan/transaksi/print_preview")) {
            $page = "laporan/transaksi/print_preview";
        } elseif ($p == md5("laporan/transaksi/print_excel")) {
            $page = "laporan/transaksi/print_excel";
        } elseif ($p == md5("laporan/transaksi/print_preview_beranda")) {
            $page = "laporan/transaksi/print_preview_beranda";
        } elseif ($p == md5("laporan/transaksi/print_excel_beranda")) {
            $page = "laporan/transaksi/print_excel_beranda";
        } elseif ($p == md5("laporan/rekapitulasi/laporan_rekapitulasi_1")) {
            $page = "laporan/rekapitulasi/laporan_rekapitulasi_1";
        } elseif ($p == md5("laporan/rekapitulasi/laporan_rekapitulasi_2")) {
            $page = "laporan/rekapitulasi/laporan_rekapitulasi_2";
        } elseif ($p == md5("laporan/rekapitulasi/laporan_rekapitulasi_3")) {
            $page = "laporan/rekapitulasi/laporan_rekapitulasi_3";
        } elseif ($p == md5("laporan/rekapitulasi/laporan_rekapitulasi_4")) {
            $page = "laporan/rekapitulasi/laporan_rekapitulasi_4";
        } elseif ($p == md5("laporan/rekapitulasi/laporan_kategori")) {
            $page = "laporan/rekapitulasi/laporan_kategori";
        } elseif ($p == md5("laporan/rekapitulasi/laporan_kategori_detail")) {
            $page = "laporan/rekapitulasi/laporan_kategori_detail";
        } elseif ($p == md5("laporan/rekapitulasi/print_preview")) {
            $page = "laporan/rekapitulasi/print_preview";
        } elseif ($p == md5("laporan/siswa/laporan_siswa")) {
            $page = "laporan/siswa/laporan_siswa";
        } elseif ($p == md5("laporan/siswa/print_preview")) {
            $page = "laporan/siswa/print_preview";
        } elseif ($p == md5("laporan/bulanan/laporan_bulanan")) {
            $page = "laporan/bulanan/laporan_bulanan";
        } elseif ($p == md5("laporan/bulanan/print_preview")) {
            $page = "laporan/bulanan/print_preview";
        } elseif ($p == md5("laporan/bulanan/kartu_preview")) {
            $page = "laporan/bulanan/kartu_preview";
        } elseif ($p == md5("laporan/rincian/detail")) {
            $page = "laporan/rincian/detail";
        } elseif ($p == md5("laporan/rincian/akun")) {
            $page = "laporan/rincian/akun";
        } elseif ($p == md5("laporan/rincian/komponen")) {
            $page = "laporan/rincian/komponen";
        } elseif ($p == md5("laporan/rincian/kegiatan")) {
            $page = "laporan/rincian/kegiatan";
        } elseif ($p == md5("laporan/rincian/print_preview")) {
            $page = "laporan/rincian/print_preview";

            //TRansfer
        } elseif ($p == md5("transfer/index")) {
            $page = "transfer/index";
        } elseif ($p == md5("transfer/konfirmasi")) {
            $page = "transfer/konfirmasi";
        } elseif ($p == md5("transfer/konfirmasi_exec")) {
            $page = "transfer/konfirmasi_exec";
        } elseif ($p == md5("transfer/reset_exec")) {
            $page = "transfer/reset_exec";
        } elseif ($p == md5("transfer/delete_exec")) {
            $page = "transfer/delete_exec";
        } elseif ($p == md5("transfer/monitoring")) {
            $page = "transfer/monitoring";
        } elseif ($p == md5("transfer/bukti")) {
            $page = "transfer/bukti";
        } elseif ($p == md5("transfer/file")) {
            $page = "transfer/file";
        } elseif ($p == md5("transfer/terima")) {
            $page = "transfer/terima";
        } elseif ($p == md5("transfer/terima_transaksi")) {
            $page = "transfer/terima_transaksi";
        } elseif ($p == md5("transfer/tolak")) {
            $page = "transfer/tolak";

            //Tagih
        } elseif ($p == md5("tagih/index")) {
            $page = "tagih/index";
        } elseif ($p == md5("tagih/index_byPeriode")) {
            $page = "tagih/index_byPeriode";
        } elseif ($p == md5("tagih/send")) {
            $page = "tagih/send";
        } elseif ($p == md5("tagih/send_multi")) {
            $page = "tagih/send_multi";
        } elseif ($p == md5("tagih/send_multiByPeriode")) {
            $page = "tagih/send_multiByPeriode";
        } elseif ($p == md5("tutorial/index")) {
            $page = "tutorial/index";

            //Reset Pass
        } elseif ($p == md5("success")) {
            $page = "success";
        } elseif ($p == md5("gagal")) {
            $page = "gagal";
        } elseif ($p == md5("reset")) {
            $page = "reset";

            //Validate
        } elseif ($p == md5("valid")) {
            $page = "valid";
        } elseif ($p == md5("admin/index")) {
            $page = "admin/index";
        } elseif ($p == md5("tabungan/index")) {
            $page = "tabungan/index";
        } elseif ($p == md5("tabungan/buku_preview")) {
            $page = "tabungan/buku_preview";
        } elseif ($p == md5("tabungan/buku_index")) {
            $page = "tabungan/buku_index";



            //Modeul Siswa
        } elseif ($p == md5("tanggungan/index")) {
            $page = "tanggungan/index";
        } elseif ($p == md5("billing/index")) {
            $page = "billing/index";
        } elseif ($p == md5("billing/tambah")) {
            $page = "billing/tambah";
        } elseif ($p == md5("billing/tambah_step2")) {
            $page = "billing/tambah_step2";
        } elseif ($p == md5("billing/billing")) {
            $page = "billing/billing";
        } elseif ($p == md5("billing/uploadbukti")) {
            $page = "billing/uploadbukti";
        } elseif ($p == md5("billing/uploadbukti_prs")) {
            $page = "billing/uploadbukti_prs";
        } elseif ($p == md5("billing/konfirmasi_exec")) {
            $page = "billing/konfirmasi_exec";
        } elseif ($p == md5("billing/billing_preview")) {
            $page = "billing/billing_preview";
        } elseif ($p == md5("billing/hapus")) {
            $page = "billing/hapus";
        } elseif ($p == md5("konfirmasi/index")) {
            $page = "konfirmasi/index";
        } elseif ($p == md5("tutorial/index")) {
            $page = "tutorial/index";
            //Setor ke Bendahara
        } elseif ($p == md5("setor/setor_read_create")) {
            $page = "setor/setor_read_create";
        } elseif ($p == md5("setor/setor_read_proses")) {
            $page = "setor/setor_read_proses";
        } elseif ($p == md5("setor/setor_read_monit")) {
            $page = "setor/setor_read_monit";
        } elseif ($p == md5("setor/setor_read_monit_transaksi")) {
            $page = "setor/setor_read_monit_transaksi";
        } elseif ($p == md5("setor/setor_create_step1")) {
            $page = "setor/setor_create_step1";
        } elseif ($p == md5("setor/setor_create_step2")) {
            $page = "setor/setor_create_step2";
        } elseif ($p == md5("setor/setor_list")) {
            $page = "setor/setor_list";
        } elseif ($p == md5("setor/setor_addTr")) {
            $page = "setor/setor_addTr";
        } elseif ($p == md5("setor/setor_addTr_proses")) {
            $page = "setor/setor_addTr_proses";
        } elseif ($p == md5("setor/setor_proses")) {
            $page = "setor/setor_proses";
        } elseif ($p == md5("setor/terima_proses")) {
            $page = "setor/terima_proses";
        } elseif ($p == md5("setor/print_preview")) {
            $page = "setor/print_preview";
            //SIMAKOM
        } elseif ($p == md5("rkas/index")) {
            $page = "rkas/index";
        } elseif ($p == md5("seting/kegiatan/kegiatan_read")) {
            $page = "seting/kegiatan/kegiatan_read";
        } elseif ($p == md5("seting/kegiatan/kegiatan_create")) {
            $page = "seting/kegiatan/kegiatan_create";
        } elseif ($p == md5("seting/kegiatan/kegiatan_edit")) {
            $page = "seting/kegiatan/kegiatan_edit";
        } elseif ($p == md5("seting/akun/akun_read")) {
            $page = "seting/akun/akun_read";
        } elseif ($p == md5("seting/akun/akun_create")) {
            $page = "seting/akun/akun_create";
        } elseif ($p == md5("seting/akun/akun_edit")) {
            $page = "seting/akun/akun_edit";
        } elseif ($p == md5("rkas/detail_tambah")) {
            $page = "rkas/detail_tambah";
        } elseif ($p == md5("rkas/akun_tambah")) {
            $page = "rkas/akun_tambah";
        } elseif ($p == md5("rkas/akun_edit")) {
            $page = "rkas/akun_edit";
        } elseif ($p == md5("rkas/kegiatan_edit")) {
            $page = "rkas/kegiatan_edit";
        } elseif ($p == md5("rkas/akun_delete")) {
            $page = "rkas/akun_delete";
        } elseif ($p == md5("rkas/detail_edit")) {
            $page = "rkas/detail_edit";
        } elseif ($p == md5("rkas/detail_delete")) {
            $page = "rkas/detail_delete";
        } elseif ($p == md5("rkas/komponen_edit")) {
            $page = "rkas/komponen_edit";
        } elseif ($p == md5("rkas/komponen_delete")) {
            $page = "rkas/komponen_delete";
        } elseif ($p == md5("rkas/kegiatan_delete")) {
            $page = "rkas/kegiatan_delete";
        } elseif ($p == md5("rkas/revisi_read")) {
            $page = "rkas/revisi_read";
        } elseif ($p == md5("rkas/revisi_create")) {
            $page = "rkas/revisi_create";
        } elseif ($p == md5("rkas/rkas_preview")) {
            $page = "rkas/rkas_preview";
        } elseif ($p == md5("rkas/rkas_excel")) {
            $page = "rkas/rkas_excel";
        } elseif ($p == md5("rkas/importtl")) {
            $page = "rkas/importtl";
        } elseif ($p == md5("transaksi/transaksi_create_step1")) {
            $page = "transaksi/transaksi_create_step1";
        } elseif ($p == md5("transaksi/transaksi_create_step2")) {
            $page = "transaksi/transaksi_create_step2";
        } elseif ($p == md5("transaksi/transaksi_edit")) {
            $page = "transaksi/transaksi_edit";
        } elseif ($p == md5("transaksi/kuitansi_printpreview")) {
            $page = "transaksi/kuitansi_printpreview";
        } elseif ($p == md5("laporan/buku/buku")) {
            $page = "laporan/buku/buku";
        } elseif ($p == md5("laporan/buku/print_preview")) {
            $page = "laporan/buku/print_preview";
        } elseif ($p == md5("laporan/realisasi/periodik/laporan")) {
            $page = "laporan/realisasi/periodik/laporan";
        } elseif ($p == md5("laporan/realisasi/periodik/print_preview")) {
            $page = "laporan/realisasi/periodik/print_preview";
        } elseif ($p == md5("laporan/realisasi/rekap/laporan")) {
            $page = "laporan/realisasi/rekap/laporan";
        } elseif ($p == md5("laporan/realisasi/rekap/print_preview")) {
            $page = "laporan/realisasi/rekap/print_preview";
        } elseif ($p == md5("laporan/realisasi/akun/laporan")) {
            $page = "laporan/realisasi/akun/laporan";
        } elseif ($p == md5("laporan/realisasi/akun/print_preview")) {
            $page = "laporan/realisasi/akun/print_preview";
        } elseif ($p == md5("laporan/realisasi/pendapatan/laporan")) {
            $page = "laporan/realisasi/pendapatan/laporan";
        } elseif ($p == md5("laporan/realisasi/pendapatan/print_preview")) {
            $page = "laporan/realisasi/pendapatan/print_preview";
        } elseif ($p == md5("laporan/neraca/index")) {
            $page = "laporan/neraca/index";
        } elseif ($p == md5("laporan/neraca/jurnal_read")) {
            $page = "laporan/neraca/jurnal_read";
        } elseif ($p == md5("laporan/neraca/jurnal_create")) {
            $page = "laporan/neraca/jurnal_create";
        } elseif ($p == md5("laporan/neraca/jurnal_edit")) {
            $page = "laporan/neraca/jurnal_edit";
        } elseif ($p == md5("laporan/neraca/print_preview")) {
            $page = "laporan/neraca/print_preview";
        } elseif ($p == md5("laporan/lpj/index")) {
            $page = "laporan/lpj/index";
        } elseif ($p == md5("laporan/lpj/create")) {
            $page = "laporan/lpj/create";
        } elseif ($p == md5("laporan/lpj/edit")) {
            $page = "laporan/lpj/edit";
        } elseif ($p == md5("laporan/lpj/rekamdata")) {
            $page = "laporan/lpj/rekamdata";
        } elseif ($p == md5("laporan/lpj/print_preview")) {
            $page = "laporan/lpj/print_preview";

            //Tabungan

        } elseif ($p == md5("tabungan/home/index")) {
            $page = "tabungan/home/index";
        } elseif ($p == md5("tabungan/penabung/index")) {
            $page = "tabungan/penabung/index";
        } elseif ($p == md5("tabungan/transaksi/index")) {
            $page = "tabungan/transaksi/index";


            //TABUNGAN
        } elseif ($p == md5("nasabah/nasabah_read")) {
            $page = "nasabah/nasabah_read";
        } elseif ($p == md5("nasabah/nasabah_create")) {
            $page = "nasabah/nasabah_create";
        } elseif ($p == md5("nasabah/nasabah_edit")) {
            $page = "nasabah/nasabah_edit";
        } elseif ($p == md5("nasabah/nasabah_import")) {
            $page = "nasabah/nasabah_import";
        } elseif ($p == md5("nasabah/nasabah_export")) {
            $page = "nasabah/nasabah_export";
        } elseif ($p == md5("nasabah/nasabah_transaksi")) {
            $page = "nasabah/nasabah_transaksi";
        } elseif ($p == md5("nasabah/buku_preview")) {
            $page = "nasabah/buku_preview";
        } elseif ($p == md5("nasabah/buku_cetak")) {
            $page = "nasabah/buku_cetak";
        } elseif ($p == md5("transaksi/transaksi_read")) {
            $page = "transaksi/transaksi_read";
        } elseif ($p == md5("transaksi/setor_exec")) {
            $page = "transaksi/setor_exec";
        } elseif ($p == md5("transaksi/tarik_exec")) {
            $page = "transaksi/tarik_exec";
        } elseif ($p == md5("transaksi/deleteTransaksi")) {
            $page = "transaksi/deleteTransaksi";
        } elseif ($p == md5("transaksi/deleteTransaksi_proses")) {
            $page = "transaksi/deleteTransaksi_proses";
        } elseif ($p == md5("transaksi/transaksi_list")) {
            $page = "transaksi/transaksi_list";
        } elseif ($p == md5("transaksi/deleted")) {
            $page = "transaksi/deleted";
        } elseif ($p == md5("laporan/rekapitulasi/laporan_export")) {
            $page = "laporan/rekapitulasi/laporan_export";
        } elseif ($p == md5("laporan/nasabah/nasabah_read")) {
            $page = "laporan/nasabah/nasabah_read";
        } elseif ($p == md5("laporan/nasabah/nasabah_preview")) {
            $page = "laporan/nasabah/nasabah_preview";
        } elseif ($p == md5("transaksi/transaksi_import")) {
            $page = "transaksi/transaksi_import";
        } elseif ($p == md5("tutup/index")) {
            $page = "tutup/index";
        } elseif ($p == md5("tutup/tutup_proses")) {
            $page = "tutup/tutup_proses";
        } elseif ($p == md5("jurnal/index")) {
            $page = "jurnal/index";
        } elseif ($p == md5("jurnal/create")) {
            $page = "jurnal/create";
            //Logout
        } elseif ($p == md5("logout")) {
            $page = "logout";
            //Error
        } elseif ($p == md5("404")) {
            $page = "404";
        } else {
            $page = "404";
        };

        return $page;
    }
}
